package net.northking.cctp.executePlan.dto.planBatch;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>Title: BatchScriptReportDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/09/25
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class BatchScriptReportDto implements Serializable {

    /**
     * 计划批次基本信息
     */
    @ApiModelProperty("计划批次基本信息")
    private BatchInfoReportDto batchInfo;

    /**
     * 脚本执行统计信息
     */
    @ApiModelProperty("脚本执行统计信息")
    private Map<String, Integer> scriptExecMap;

    /**
     * 脚本执行详情
     */
    @ApiModelProperty("脚本执行详情")
    private List<BatchScriptExecDetailDto> scriptExecList;

    /**
     * app基本信息
     */
    @ApiModelProperty("app基本信息集合")
    private List<AppBaseInfoDto> appBaseInfoList;

    /**
     * app性能相关信息
     */
    @ApiModelProperty("app性能相关信息")
    private List<BatchAppInfoDto> appPerList;

    public BatchInfoReportDto getBatchInfo() {
        return batchInfo;
    }

    public void setBatchInfo(BatchInfoReportDto batchInfo) {
        this.batchInfo = batchInfo;
    }

    public Map<String, Integer> getScriptExecMap() {
        return scriptExecMap;
    }

    public void setScriptExecMap(Map<String, Integer> scriptExecMap) {
        this.scriptExecMap = scriptExecMap;
    }

    public List<BatchScriptExecDetailDto> getScriptExecList() {
        return scriptExecList;
    }

    public void setScriptExecList(List<BatchScriptExecDetailDto> scriptExecList) {
        this.scriptExecList = scriptExecList;
    }

    public List<BatchAppInfoDto> getAppPerList() {
        return appPerList;
    }

    public void setAppPerList(List<BatchAppInfoDto> appPerList) {
        this.appPerList = appPerList;
    }

    public List<AppBaseInfoDto> getAppBaseInfoList() {
        return appBaseInfoList;
    }

    public void setAppBaseInfoList(List<AppBaseInfoDto> appBaseInfoList) {
        this.appBaseInfoList = appBaseInfoList;
    }
}
